org.appng.appngizer.model.xml

## Class Package

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Package

- Direct Known Subclasses:
    Package

      public class Package
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="displayName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="timestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="release" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="snapshot" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="installed" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="type" type="{http://www.appng.org/schema/appngizer}packageType"/>
               <element name="privileged" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="hidden" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `displayName`
    `protected Boolean` | `hidden`
    `protected boolean` | `installed`
    `protected Boolean` | `privileged`
    `protected String` | `release`
    `protected String` | `snapshot`
    `protected String` | `timestamp`
    `protected PackageType` | `type`
    `protected String` | `version`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Package()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Gets the value of the displayName property.
    `String` | `getRelease()` Gets the value of the release property.
    `String` | `getSnapshot()` Gets the value of the snapshot property.
    `String` | `getTimestamp()` Gets the value of the timestamp property.
    `PackageType` | `getType()` Gets the value of the type property.
    `String` | `getVersion()` Gets the value of the version property.
    `Boolean` | `isHidden()` Gets the value of the hidden property.
    `boolean` | `isInstalled()` Gets the value of the installed property.
    `Boolean` | `isPrivileged()` Gets the value of the privileged property.
    `void` | `setDisplayName(String value)` Sets the value of the displayName property.
    `void` | `setHidden(Boolean value)` Sets the value of the hidden property.
    `void` | `setInstalled(boolean value)` Sets the value of the installed property.
    `void` | `setPrivileged(Boolean value)` Sets the value of the privileged property.
    `void` | `setRelease(String value)` Sets the value of the release property.
    `void` | `setSnapshot(String value)` Sets the value of the snapshot property.
    `void` | `setTimestamp(String value)` Sets the value of the timestamp property.
    `void` | `setType(PackageType value)` Sets the value of the type property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### displayName

          protected String displayName

    - #### version

          protected String version

    - #### timestamp

          protected String timestamp

    - #### release

          protected String release

    - #### snapshot

          protected String snapshot

    - #### installed

          protected boolean installed

    - #### type

          protected PackageType type

    - #### privileged

          protected Boolean privileged

    - #### hidden

          protected Boolean hidden

  - ### Constructor Detail

    - #### Package

          public Package()

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public String getTimestamp()

      Gets the value of the timestamp property.
      Returns:
        possible object is `String`

    - #### setTimestamp

          public void setTimestamp(String value)

      Sets the value of the timestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRelease

          public String getRelease()

      Gets the value of the release property.
      Returns:
        possible object is `String`

    - #### setRelease

          public void setRelease(String value)

      Sets the value of the release property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSnapshot

          public String getSnapshot()

      Gets the value of the snapshot property.
      Returns:
        possible object is `String`

    - #### setSnapshot

          public void setSnapshot(String value)

      Sets the value of the snapshot property.
      Parameters:
        `value` - allowed object is `String`

    - #### isInstalled

          public boolean isInstalled()

      Gets the value of the installed property.

    - #### setInstalled

          public void setInstalled(boolean value)

      Sets the value of the installed property.

    - #### getType

          public PackageType getType()

      Gets the value of the type property.
      Returns:
        possible object is `PackageType`

    - #### setType

          public void setType(PackageType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `PackageType`

    - #### isPrivileged

          public Boolean isPrivileged()

      Gets the value of the privileged property.
      Returns:
        possible object is `Boolean`

    - #### setPrivileged

          public void setPrivileged(Boolean value)

      Sets the value of the privileged property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isHidden

          public Boolean isHidden()

      Gets the value of the hidden property.
      Returns:
        possible object is `Boolean`

    - #### setHidden

          public void setHidden(Boolean value)

      Sets the value of the hidden property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.